=== debian/changelog ===
imv (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #898220)

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 07 May 2018 15:41:49 +0000
