=== debian/control ===
Source: imv
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>
Build-Depends:
 debhelper (>=11~),
 asciidoc,
 docbook-xsl,
 libcmocka-dev,
 libfontconfig1-dev,
 libfreeimage-dev,
 libinih-dev,
 libsdl2-dev,
 libsdl2-ttf-dev,
 xsltproc
Standards-Version: 4.1.4
Homepage: https://github.com/eXeC64/imv
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv

Package: imv
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command line image viewer intended for use with tiling window managers
 imv is an image viewer for X11 and Wayland, aimed at users of tiling
 window managers. It supports a wide variety of image file formats,
 including animated gif files. imv will automatically reload the current
 image, if it is changed on disk.
 .
 Please note: the executable and the associated manpages were renamed
 from ‘imv’ to ‘imvr’ because of a name clash.
