=== debian/control ===
--- 
+++ 
@@ -4,20 +4,26 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Paride Legovini <pl@ninthfloor.org>
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
+ dh-exec,
  asciidoc,
  docbook-xsl,
  libcmocka-dev,
+ libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreeimage-dev,
+ libglu1-mesa-dev,
  libinih-dev,
- libsdl2-dev,
- libsdl2-ttf-dev,
+ libpango1.0-dev,
+ librsvg2-dev,
+ libxkbcommon-x11-dev,
+ libwayland-dev,
  xsltproc
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/eXeC64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
+Rules-Requires-Root: no
 
 Package: imv
 Architecture: any
@@ -29,5 +35,5 @@
  including animated gif files. imv will automatically reload the current
  image, if it is changed on disk.
  .
- Please note: the executable and the associated manpages were renamed
- from ‘imv’ to ‘imvr’ because of a name clash.
+ The package provides the imv-x11 and x11-wayland binaries. The 'imv' wrapper
+ script is not installed because of a file name clash with another package.
