=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Tests can't run in headless mode.
override_dh_auto_test:

# Skip the upstream `make install` target. We install the files manually,
# taking into account the file name clash with the renameutils package.
override_dh_auto_install:
	# A bit strangely the `doc` target is called when invoking
	# `make install`. Let's keep it here for consistency.
	#
	# https://github.com/eXeC64/imv/issues/213
	make doc
