## imv 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: imv debug clean check install uninstall doc
+.PHONY: all imv debug clean check install uninstall doc
 
 include config.mk
 
@@ -15,7 +15,7 @@
 
 override CFLAGS += -std=c99 -W -Wall -Wpedantic -Wextra $(shell pkg-config --cflags pangocairo)
 override CPPFLAGS += -D_XOPEN_SOURCE=700
-override LIBS := -lGL -lpthread -lxkbcommon $(shell pkg-config --libs pangocairo)
+override LIBS := -lGL -lpthread -lxkbcommon $(shell pkg-config --libs pangocairo) $(shell pkg-config --libs icu-io)
 
 BUILDDIR ?= build
 TARGET_WAYLAND = $(BUILDDIR)/imv-wayland
@@ -46,6 +46,7 @@
 SOURCES += src/list.c
 SOURCES += src/log.c
 SOURCES += src/navigator.c
+SOURCES += src/source.c
 SOURCES += src/viewport.c
 
 WL_SOURCES = src/wl_window.c src/xdg-shell-protocol.c
@@ -88,6 +89,12 @@
 	override LIBS += $(shell pkg-config --libs librsvg-2.0)
 endif
 
+ifeq ($(BACKEND_LIBNSGIF),yes)
+	SOURCES += src/backend_libnsgif.c
+	override CPPFLAGS += -DIMV_BACKEND_LIBNSGIF $(shell pkg-config --cflags libnsgif)
+	override LIBS += $(shell pkg-config --libs libnsgif)
+endif
+
 
 TEST_SOURCES := test/list.c test/navigator.c
 
@@ -98,12 +105,14 @@
 
 TESTS := $(patsubst test/%.c,$(BUILDDIR)/test_%,$(TEST_SOURCES))
 
-VERSION != git describe --dirty --always --tags 2> /dev/null || echo v4.0.0
+VERSION != git describe --dirty --always --tags 2> /dev/null || echo v4.1.0
 
 override CPPFLAGS += -DIMV_VERSION=\""$(VERSION)"\"
 
 TFLAGS ?= -g $(CFLAGS) $(CPPFLAGS) $(shell pkg-config --cflags cmocka)
 TLIBS := $(LIBS) $(shell pkg-config --libs cmocka)
+
+all: imv doc
 
 imv: $(TARGETS)
