=== debian/changelog ===
imv (4.1.0-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:42:07 +0100

imv (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0 (closes: #959095).
  * Install the /etc/imv_config file.
  * d/control:
    - Bump Standards-Version to 4.5.0 (no changes needed).
    - Bump the dh compat level to 13.
    - Do not disable dh_auto_test: the tests now pass in a schroot
      environment (sbuild), let's try enabling them.
    - Drop `make doc` from override_dh_auto_install: not needed as the `all`
      target already builds `doc`.
    - Use the paride@debian.org alias in Uploaders.
  * Drop upstreamed patches:
    - 0002-Fix-typo-in-manpages.patch
    - 0003-Fix-the-name-of-the-GNU-LGPL.patch
  * Switch to a "patches applied + git debcherry" packaging workflow.

 -- Paride Legovini <paride@debian.org>  Sun, 17 May 2020 22:22:50 +0000
