=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: imv
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Paride Legovini <pl@ninthfloor.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Paride Legovini <paride@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
  asciidoc,
  docbook-xsl,
@@ -19,7 +20,7 @@
  libxkbcommon-x11-dev,
  libwayland-dev,
  xsltproc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/eXeC64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
