=== debian/changelog ===
imv (4.2.0-1ubuntu1) hirsute; urgency=medium

  * Build-depend on docbook-xsl so that xsltproc doesn't try to access the
    internet for the stylesheet. Works around #980930.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Feb 2021 23:17:41 -0500

imv (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0.
  * Use the upstream installer and handle the imv name clash in d/rules.
    Install `imv` in /usr/lib/imv/ and patch imv.desktop accordingly.
    Stop installing the `imvr` legacy symlink.
  * d/NEWS: warn that the `imvr` legacy symlink is not installed anymore.
  * d/control:
    - Update Build-Depends:
      + replace asciidoc with asciidoc-base
      + drop dh-exec, docbook-xsl, xsltproc: not needed anymore
      + drop libfontconfig1-dev: already a dependency via libpango1.0-dev
      + add libheif-dev for HEIF support
      + add libturbojpeg0-dev for SIMD-accellerated JPEG handling
      + add meson, as upstream switched to this build system.
    - Update the package description.
    - Use @alioth-lists.debian.net in the team mailing list address.
  * d/patches:
    - drop 0001-Build-against-the-Debian-packaged-libinih.patch.
      Build with system inih is now supported upstream.
    - d/patches: add debian/patches/0003-fix-flickering-in-wayland.patch.
      Fixes https://github.com/eXeC64/imv/issues/305.
  * d/imv.docs: install upstream's README.md. Contains useful examples.
  * d/copyright:
    - Drop paragraph for libinih, not vendored anymore.
    - Update copyright holders.
    - Update copyright years for debian/*.
  * d/gbp.conf: set debian-branch = debian/latest (DEP14).
  * debian/*: pl@ninthfloor.org -> paride@debian.org.

 -- Paride Legovini <paride@debian.org>  Sun, 31 Jan 2021 12:03:12 +0000
