## imv 4.3.0

=== meson_options.txt ===
--- 
+++ 
@@ -11,6 +11,12 @@
 option('test',
   type : 'feature',
   description : 'enable tests'
+)
+
+option('contrib-commands',
+  type: 'boolean',
+  value: true,
+  description: 'Install extra commands available in `contrib/`'
 )
 
 option('man',
