=== debian/changelog ===
imv (4.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: add 0002-Fix-segfault-with-latest-wlroots.patch to fix
    segfault with newer wlroots (Closes: #1006543)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 07 Apr 2022 09:15:36 +0200

imv (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0.
  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/control: drop Build-Dep on libturbojpeg
  * d/patches: drop 0003-fix-flickering-in-wayland.patch (upstreamed)
  * d/patches: add call-imv-from-libexec.patch.
    The patch supersedes 0002-desktop-file-call-imv-x11.patch.
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Sun, 31 Oct 2021 16:53:45 +0000
