=== debian/control ===
Source: imv
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
Build-Depends:
 asciidoc-base,
 debhelper-compat (= 13),
 libcmocka-dev,
 libegl1-mesa-dev,
 libfreeimage-dev,
 libglu1-mesa-dev,
 libheif-dev,
 libinih-dev,
 libpango1.0-dev,
 librsvg2-dev,
 libwayland-dev,
 libxkbcommon-x11-dev,
 meson,
Standards-Version: 4.6.0
Homepage: https://github.com/eXeC64/imv
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
Rules-Requires-Root: no

Package: imv
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: X11/Wayland image viewer intended for use with tiling window managers
 imv is a command line image viewer for X11 and Wayland aimed at users of
 tiling window managers. It has native Wayland and X11 support and can handle
 dozens of image formats, including: PNG, BMP, JPEG, TIFF, SVG, HEIF.
 .
 The package provides the imv-x11 and x11-wayland binaries. The `imv` wrapper
 script is installed in /usr/libexec/imv/ due to a file name clash.
