=== debian/watch ===
version=4
opts="mode=git" https://github.com/eXeC64/imv refs/tags/v([\d\.]+)
