## imv 4.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,14 @@
   value : 'all',
   choices : ['all', 'wayland', 'x11'],
   description : 'window system to use'
+)
+
+# Unicode backend - default is ICU
+option('unicode',
+  type: 'combo',
+  value: 'icu',
+  choices : ['icu', 'grapheme'],
+  description : 'unicode library to use'
 )
 
 option('test',
