=== debian/changelog ===
imv (4.4.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:55 +1100

imv (4.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:54:55 +0000

imv (4.4.0-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 10:27:01 +0100

imv (4.4.0-1) unstable; urgency=medium

  * Team upload

  [ Martin Dosch ]
  * Update project homepage and git repo (Closes: #1009303)

  [ xiao sheng wen ]
  * New upstream version 4.4.0 (Closes: #1029239 )
  * d/control: fix typo, x11-wayland --> imv-wayland (Closes: #1024204)
  * Bump Standards-Version: 4.6.2
  * d/copyright:
      - add xiao sheng wen for debian/*, update year info to 2023
      - update Source to new git repo url
  * d/u/metadata: update upstream new git repo infos
  * delete d/p/0002-Fix-segfault-with-latest-wlroots.patch, new upstream applied
  * Update d/p/call-imv-from-libexec.patch,
    patch new upstream contrib/imv-dir file

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 05 Sep 2023 15:31:18 +0800
