=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: imv
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <paride@debian.org>,
 Build-Depends:
@@ -18,8 +19,8 @@
  libwayland-dev,
  libxkbcommon-x11-dev,
  meson,
-Standards-Version: 4.6.0
-Homepage: https://github.com/eXeC64/imv
+Standards-Version: 4.6.2
+Homepage: https://sr.ht/~exec64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
 Rules-Requires-Root: no
@@ -35,5 +36,5 @@
  tiling window managers. It has native Wayland and X11 support and can handle
  dozens of image formats, including: PNG, BMP, JPEG, TIFF, SVG, HEIF.
  .
- The package provides the imv-x11 and x11-wayland binaries. The `imv` wrapper
+ The package provides the imv-x11 and imv-wayland binaries. The `imv` wrapper
  script is installed in /usr/libexec/imv/ due to a file name clash.
