=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,9 @@
 %:
 	dh $@
 
-override_dh_auto_install:
+execute_after_dh_auto_install:
+	# Handle the imv name clash after running the upstream installer.
+	mkdir -p debian/imv/usr/libexec/imv
+	mv -v debian/imv/usr/bin/imv debian/imv/usr/libexec/imv/
+	mv -v debian/imv/usr/share/man/man1/imv.1 debian/imv/usr/share/man/man1/imv-x11.1
+	mv -v debian/imv/usr/share/man/man5/imv.5 debian/imv/usr/share/man/man5/imv-x11.5
