## imv 4.5.0

=== meson_options.txt ===
--- 
+++ 
@@ -89,3 +89,11 @@
   type : 'feature',
   description : 'provides: heif'
 )
+
+# libjxl https://jpeg.org/jpegxl/
+# depends: brotlidec, brotlienc, highway, lcms2
+# license: modified bsd
+option('libjxl',
+  type : 'feature',
+  description : 'provides: jxl'
+)
