=== debian/changelog ===
imv (4.5.0-1build5) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:43:59 -0500

imv (4.5.0-1build4) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:28:17 +0100

imv (4.5.0-1build3) plucky; urgency=medium

  * Rebuild against latest libjpeg-turbo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 17:38:27 -0500

imv (4.5.0-1build2) oracular; urgency=medium

  * Rebuild against new libjxl0.10.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2024 18:37:18 +0200

imv (4.5.0-1build1) oracular; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jul 2024 09:54:01 -0600

imv (4.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * d/control:
      - Build-Depends add libturbojpeg0-dev
      - Build-Depends add libjxl-dev, enable libjxl Backends
      - Bump Standards-Version: 4.7.0, no changes needed
  * d/copyright: update year info to 2024
  * d/gbp.conf: update to use default upstream-branch
  * d/u/metadata: Remove obsolete fields Contact, Name.
    Already present in machine-readable debian/copyright.
  * d/salsa-ci.yml: add salsa-ci file with the salsa pipeline (routine-update)

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 14 Jun 2024 18:49:21 +0800
