=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: imv
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <paride@debian.org>,
 Build-Depends:
@@ -14,12 +13,14 @@
  libglu1-mesa-dev,
  libheif-dev,
  libinih-dev,
+ libjxl-dev,
  libpango1.0-dev,
  librsvg2-dev,
+ libturbojpeg0-dev,
  libwayland-dev,
  libxkbcommon-x11-dev,
  meson,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sr.ht/~exec64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
