=== debian/watch ===
version=4
opts="mode=git" https://git.sr.ht/~exec64/imv refs/tags/v([\d\.]+)
