## imv 5.0.1

=== debian/changelog ===
imv (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * d/control: Build-Depends remove libfreeimage-dev, not used

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 14 Dec 2025 15:05:19 +0800

imv (5.0.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Build-Depends add wayland-protocols

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 08 Dec 2025 12:34:58 +0800

imv (5.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.1
  * Bump Standards-Version: 4.7.2
  * d/control: delete Rules-Requires-Root: no, useless
  * d/copyright:
      - update year info to 2025
      - remove one section which files is not exist in new upstream version
  * d/p/call-imv-from-libexec.patch: rename imv.desktop to imv.desktop.in

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 08 Dec 2025 11:25:22 +0800
