=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  debhelper-compat (= 13),
  libcmocka-dev,
  libegl1-mesa-dev,
- libfreeimage-dev,
  libglu1-mesa-dev,
  libheif-dev,
  libinih-dev,
@@ -20,11 +19,11 @@
  libwayland-dev,
  libxkbcommon-x11-dev,
  meson,
-Standards-Version: 4.7.0
+ wayland-protocols,
+Standards-Version: 4.7.2
 Homepage: https://sr.ht/~exec64/imv
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imv.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imv
-Rules-Requires-Root: no
 
 Package: imv
 Architecture: any
